Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 4 of 4

Thread: unable to install Teensyduino 1.51 onto Arduino IDE 1.8.12

  1. #1
    Junior Member
    Join Date
    Mar 2020
    Posts
    3

    unable to install Teensyduino 1.51 onto Arduino IDE 1.8.12

    I have an issue installing Teensyduino 1.51 for my Arduino 1.8.12. The problem I'm having is "Checking Arduino 1.8.12: version "lib/version.txt" matches file: "arduino" missing. I'm trying to install this in my Ubuntu 18.04. (linux 64)

    The problem might have stemmed from the fact that I downloaded Arduino IDE 1.8.12 straight from the website, removed that and then installed it using the terminal witht the arduino-1.8.12-linx64.tar-xz zip file.

  2. #2
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    21,473
    It works here on Ubuntu 18.04. Just extract Arduino's .tar.gz, then run the installer and select the folder where it extracted.

  3. #3
    Junior Member
    Join Date
    Mar 2020
    Posts
    3
    Quote Originally Posted by PaulStoffregen View Post
    It works here on Ubuntu 18.04. Just extract Arduino's .tar.gz, then run the installer and select the folder where it extracted.
    I'm pretty new to the virtual machine. What I'm getting at is this
    -extract the Arduino's .tar.gz using the terminal? I've only extracted the .tar.xz previously on the file system and unable to locate where the .tar.gz is
    -running the teensyduino installer
    - and finally find the directory where it's extracted. Must the extracted file be in the same place as the Arduino file? (the one containing libraries)

  4. #4
    Junior Member
    Join Date
    Mar 2020
    Posts
    3
    Quote Originally Posted by PaulStoffregen View Post
    It works here on Ubuntu 18.04. Just extract Arduino's .tar.gz, then run the installer and select the folder where it extracted.
    So I tried extracting the .tar.gz file using the terminal (that did not work out) but all you have to do is copy over the "arduino" file in the arduino 1.8.12 directory and paste it into the Arduino file containing the libraries. I don't know why I couldn't locate the arduino file yesterday but I feel dumb.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •